Subject: Re: bug#68868: A Guided Tour of Emacs: function phases-of-moon doesn't exist, but function lunar-phases does
From: Eli Zaretskii <[email-masked]>
To: Paul Smith <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Feb 2024 11:47:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 1 Feb 2024 02:11:15 -0700
> From: Paul Smith <[email-masked]>
> 
> This is the guided tour page: https://www.gnu.org/software/emacs/tour/
> 
> On the guided tour page, there's this line:
> "M-x phases-of-moon  Shows upcoming quarters of the moon."
> 
> Launching Emacs with "emacs -Q" and doing an apropos-command search via 
> "C-h a" for "moon" didn't give any results. Doing another search for 
> "phases" showed "lunar-phases".
> 
> I think "M-x phases-of-moon" is meant to be "M-x lunar-phases": 
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Lunar-Phases.html

It was originally indeed called phases-of-moon, was renamed in 2008,
and the obsolete alias kept for backward compatibility was removed in
2014.

Thanks, I fixed the Guided Tour page to mention the current name of
the command, and I'm therefore closing this bug.